OSDMAPTOOL(8)

NAME
osdmaptool - ceph osd cluster map manipulation tool

SYNOPSIS
osdmaptool mapfilename [--print] [--createsimple numosd
[--pgbits bitsperosd ] ] [--clobber]

DESCRIPTION

osdmaptool is a utility that lets you create, view, and manipulate OSD cluster maps from the Ceph distributed file system. Notably, it lets you extract the embedded CRUSH map or import a new CRUSH map.

OPTIONS

--print
    will simply make the tool print a plaintext dump of the map, after any modifications are made.

--clobber
    will allow osdmaptool to overwrite mapfilename if changes are made.

--import-crush mapfile
    will load the CRUSH map from mapfile and embed it in the OSD map.

--export-crush mapfile
    will extract the CRUSH map from the OSD map and write it to mapfile.

--createsimple numosd [--pgbits bitsperosd]
    will create a relatively generic OSD map with the numosd devices. If --pgbits is specified, the initial placement group counts will be set with bitsperosd bits per OSD. That is, the pg_num map attribute will be set to numosd shifted by bitsperosd.

EXAMPLE

To create a simple map with 16 devices:

osdmaptool --createsimple 16 osdmap --clobber

To view the result:

osdmaptool --print osdmap

AVAILABILITY

osdmaptool is part of the Ceph distributed file system. Please refer to the Ceph documentation at http://ceph.com/docs for more information.

SEE ALSO

ceph(8), crushtool(8), mkcephfs(8)

COPYRIGHT
2010-2013, Inktank Storage, Inc. and contributors. Licensed under Creative Commons BY-SA